Page MenuHomePhabricator

[llvm] Add support for Ananas platform
ClosedPublic

Authored by zhmu on May 6 2017, 6:09 AM.

Details

Summary

Ananas is a home-brew operating system, mainly for amd64 machines. After using GCC for quite some time, it has switched to clang and never looked back - yet, having to manually patch things is annoying, so it'd be much nicer if this was in the official tree.

More information:

Ed Schouten convinced me to submit the platform patches, so he can commit them - here they are.

Diff Detail

Event Timeline

zhmu created this revision.May 6 2017, 6:09 AM
ed accepted this revision.May 20 2017, 5:50 AM
ed added a reviewer: llvm-commits.

This change looks good to me. Does anyone mind if I were to commit this?

This revision is now accepted and ready to land.May 20 2017, 5:52 AM
davide added a subscriber: davide.May 20 2017, 11:35 AM

This one is implemented correctly, but, can you put together all your private patches and post for review? That would clarify the general picture for reviewers.

ed added a comment.May 22 2017, 1:27 AM

Hi Davide,

This one is implemented correctly, but, can you put together all your private patches and post for review? That would clarify the general picture for reviewers.

As far as I know, Rink only needs D32936 and D32937 to get LLVM and Clang to work for Ananas.

zhmu added a comment.May 27 2017, 12:30 AM

That is correct; only those two are needed. Could you please take a look?

ed closed this revision.Jun 25 2017, 1:29 AM